### Name: gprocessingjs
### Title: Interface to Processing.js code to create graphics with
###   javascript
### Aliases: gprocessingjs
### Keywords: interface

### ** Examples

## Not run: 
##D    ## make a histogram with breaks controlled by a slider
##D    w <- gwindow("processing example")
##D    g <- ggroup(horizontal=FALSE, cont=w)
##D    x <- faithful$eruptions
##D    p <- gprocessingjs(width=500, height = 400, container  = g)
##D    p$textFont("arial",14)
##D    p$Hist <- function(.,x, breaks = "Sturges", col = "goldenrod") {
##D      out <- hist(x, breaks = breaks, plot=FALSE)
##D      p$plot.new()
##D      p$plot.window(xlim = range(out$breaks), ylim = c(0, max(out$counts)))
##D      p$axis(1)
##D      p$title(main = deparse(substitute(x)))
##D      nb <- length(out$breaks)
##D      p$rect(out$breaks[1:(nb-1)], rep(0, length=nb-1), out$breaks[2:nb],
##D        out$counts, col)
##D    }
##D    p$Hist(faithful$eruptions)
##D    gslider(from = 1, to = length(x), by = 1, cont = g, handler =
##D    function(h,...) {
##D      p$Hist(faithful$eruptions, breaks =as.numeric(svalue(h$obj)))
##D    })
##D 
##D  ## Make regression line that follows mouse clicks
##D  x <- c(); y <- c()
##D  glabel("Click in graph to set points", container=g)
##D  p1 <- gprocessingjs(width=500, height = 400, container  = g)
##D  p1$..background <- 200
##D  p1$plot.new()
##D  p1$plot.window(xlim=c(0,10), ylim=c(0,10))
##D  addHandlerMouseclick(p1, handler = function(h,...) {
##D    xy <- p1$pixelsToXY(h$xy)
##D    assign("x",c(x, xy[1]), envir=.GlobalEnv)
##D    assign("y",c(y, xy[2]), envir=.GlobalEnv)
##D    p1$plot.new() # paints background
##D    p1$points(x, y, cex=2, col="red")
##D    if(length(x) != 1) {
##D      res <- lm(y ~ x)
##D      p$abline(res,col="blue")
##D    }
##D  })
##D 
##D    visible(w) <- TRUE
##D 
## End(Not run)



